Subject: Re: [bug#50091] [PATCH 01/21] utils: Define 'target-riscv?' predicate.

From: Maxime Devos <[email-masked]>
Date: Tue, 17 Aug 2021 12:30:43 +0200

> > +(define* (target-riscv? #:optional (target (or (%current-target-system)
> > +                                               (%current-system))))
> > +  "Is the architecture of TARGET a 'riscv' architecture variant?"
> > +  (string-prefix? "riscv" target))
> > +
> >  (define* (target-64bit? #:optional (system (or (%current-target-system)
> >                                                 (%current-system))))
> >    (any (cut string-prefix? <> system) '("x86_64" "aarch64" "mips64" "powerpc64")))
> 
> The next patch adds a ‘riscv64-linux-gnu’ target.  riscv64 seems 64-bit to me.
> It would seem riscv64 needs to be added to target-64bit?.

Nevermind,
[bug#50091] [PATCH 02/21] gnu: bootstrap: Add support for riscv64-linux.
adds it to target-64bit?

> Greetings,
> Maxime.